phpMyAdmin 5.0.0-rc1

Released 2019-11-23.

Welcome to the first release candidate of phpMyAdmin 5.0.0. This release features a great number of new features and bug fixes.

This is expected to be the final release candidate before 5.0.0 is finalized. Please visit https://github.com/phpmyadmin/phpmyadmin/milestones to stay updated on the expected release date and known bugs.

Since 5.0.0-alpha1, there have been several bugfixes, none of which are particularly notable. For a complete comparison, you could visit https://github.com/phpmyadmin/phpmyadmin/compare/RELEASE_5_0_0ALPHA1..RELEASE_5_0_0RC1.

The following are the release notes from 5.0.0-alpha1:

With this release, we are removing support of old PHP versions (5.5, 5.6, 7.0, and HHVM). These versions are outdated and are no longer supported by the PHP team. Detailed requirement information is available in the documentation included with the download or at https://docs.phpmyadmin.net/en/latest/require.html. As shown at https://www.phpmyadmin.net/downloads/#support our current branch of 4.9.x is planned to remain supported for some time in an LTS capacity.

Some of the changes and new features include:

* Enable columns names by default for CSV exports
* Add Metro theme
* Automatically add the index when creating an auto increment column
* Improvements to exporting views
* Prompt the user for confirmation before running an UPDATE query with no WHERE clause
* Improvements to how errors are show to the user (including allowing easier copying of the error text to the clipboard)
* Added keystrokes to clear the line (ctrl+l) and clear the entire console window (ctrl+u)
* Use charset 'windows-1252' when export format is MS Excel

There are several more changes, please refer to the ChangeLog file included with the release for full details.

Known shortcomings:

Due to changes in the MySQL authentication method, PHP versions prior to 7.4 are unable to authenticate to a MySQL 8.0 or newer server (our tests show the problem actually began with MySQL 8.0.11). This relates to a PHP bug https://bugs.php.net/bug.php?id=76243. There is a workaround, that is to set your user account to use the current-style password hash method, mysql_native_password. This unfortunate lack of coordination has caused the incompatibility to affect all PHP applications, not just phpMyAdmin. For more details, you can see our bug tracker item at https://github.com/phpmyadmin/phpmyadmin/issues/14220.

Downloads are available now at https://phpmyadmin.net/downloads/

Our work would not be possible without the donations of our generous sponsor, and this release in particular is brought to you thanks to the hard work of our Google Summer of Code students and many other contributors.

For the team,
Isaac

Future version compatible with PHP 7.1 and newer and MySQL 5.5 and newer. First release candidate.

File Size Verification
phpMyAdmin-5.0.0-rc1-all-languages.tar.gz 12.3 MB [PGP] [SHA256]
phpMyAdmin-5.0.0-rc1-all-languages.tar.xz 7.7 MB [PGP] [SHA256]
phpMyAdmin-5.0.0-rc1-english.tar.gz 7.8 MB [PGP] [SHA256]
phpMyAdmin-5.0.0-rc1-english.tar.xz 5.8 MB [PGP] [SHA256]
phpMyAdmin-5.0.0-rc1-english.zip 9.4 MB [PGP] [SHA256]
phpMyAdmin-5.0.0-rc1-source.tar.xz 14.2 MB [PGP] [SHA256]

Since July 2015 all phpMyAdmin releases are cryptographically signed by the releasing developer. You should verify that the signature matches the archive you have downloaded. Verification instructions are placed in our documentation in the Verifying phpMyAdmin releases chapter.